## NAME

d.rhumbline - Displays the rhumbline joining two user-specified points, in the active frame on the user's graphics monitor.

## KEYWORDS

display

## SYNOPSIS

d.rhumbline
d.rhumbline help
d.rhumbline [coor=lon1,lat1,lon2,lat2] [lcolor=string]

### Parameters:

coor=lon1,lat1,lon2,lat2
  Starting and ending coordinates
lcolor=string
  Line color
  Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey,cyan,purple
  Default: black

## DESCRIPTION

A rhumbline (loxodrome) is a line following a constant angle of the compass (i.e., a line of constant direction). It crosses all meridians at the same angle, i.e. a path of constant bearing. d.rhumbline displays the rhumbline joining any two user-specified points in the active frame on the user's graphics monitor. The named coordinate locations must fall within the boundaries of the user's current geographic region.

The user can run this program either interactively or non-interactively. If the user simply types d.rhumbline on the command line and runs it without specifying parameter values, the mouse will be activated and the user will be asked to use the mouse to indicate the two endpoints of the rhumbline. The rhumbline is then drawn in the default color (black).

Alternately, the user can specify the starting and ending longitude/latitude coordinates of the rhumbline and (optionally) the color in which the rhumbline will be displayed; in this case, the program will run non-interactively.

## NOTES

This program works only with longitude-latitude locations.

## SEE ALSO

d.geodesic

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2005/10/18 07:45:17 $

Main index - display index - Full index